//    File: ArrayListDemo.java - Demonstrate ArrayList Collections

import java.io.PrintWriter;
import java.util.ArrayList;

public class ArrayListDemo {

    private static PrintWriter stdOut = new PrintWriter(System.out, true);

    ArrayListDemo() {
        stdOut.println("\nArrayListDemo\n");

        ArrayList<String> al = new ArrayList<String>();
        stdOut.println("al = " + al);
        al.add("one");
        al.add("two");
        al.add("three");
        al.add("" + 4);
        stdOut.println("al = " + al);
        al.remove(2);
        stdOut.println("al = " + al);
        al.remove("two");
        stdOut.println("al = " + al);
        al.add(0, "first");
        al.add(2, "two");
        al.add(4, "five");
        al.add("Two");
        stdOut.println("al = " + al);
        stdOut.println("al contains 'one' = " + al.contains("one"));
        stdOut.println("index of 'two' = " + al.indexOf("two"));
        stdOut.println("index of 'TWO' = " + al.indexOf("TWO"));
        stdOut.print("al = ");
        for (int i = 0; i < al.size(); i++)
            stdOut.print(al.get(i) + " ");
        stdOut.println();
        stdOut.print("al = ");
        for (String s : al)
            stdOut.print(s + " ");
        stdOut.println("\n");
    }

    public static void main(String[] args) {
        new ArrayListDemo();
    }

}

/* ===== Output from this program =====

ArrayListDemo

al = []
al = [one, two, three, 4]
al = [one, two, 4]
al = [one, 4]
al = [first, one, two, 4, five, Two]
al contains 'one' = true
index of 'two' = 2
index of 'TWO' = -1
al = first one two 4 five Two 
al = first one two 4 five Two 

=========== End Output ========== */

